com.informix.jdbc

## Interface SQLUDTOutput

All Superinterfaces:
  java.sql.SQLOutput

All Known Subinterfaces:
  IfmxUDTSQLOutput

All Known Implementing Classes:
  IfxUDTOutput

    public interface SQLUDTOutput
    extends java.sql.SQLOutput

JDBC 2.0 This SQLUDTOutput interface extends from SQLOutput. This interface is specificly used for Informix User Defined Types. It contains Informix extension methods for serializing/deserializing fixed length data.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `writeBytes(byte[] b, int length)` Write the next attribute to the stream as a Java byte array.
`void` `writeInterval(Interval intrvl)` Write the next attribute to the stream as a Java Interval.
`void` `writeString(java.lang.String x, int length)` Write the next attribute to the stream as a Java String.

### Methods inherited from interface java.sql.SQLOutput

`writeArray, writeAsciiStream, writeBigDecimal, writeBinaryStream, writeBlob, writeBoolean, writeByte, writeBytes, writeCharacterStream, writeClob, writeDate, writeDouble, writeFloat, writeInt, writeLong, writeNClob, writeNString, writeObject, writeObject, writeRef, writeRowId, writeShort, writeSQLXML, writeString, writeStruct, writeTime, writeTimestamp, writeURL`

### Method Detail

#### writeString

    void writeString(java.lang.String x,
                     int length)
              throws java.sql.SQLException

Write the next attribute to the stream as a Java String. This method is similar to SQLOutput.writeString() with the exception that a fixed length of data is written to the stream. If the String passed in is shorter then the destinated length, the driver will zero pad the string. This method replaces SQLOutput.writeString() in the UDT implementation since the user defined type is unknown to the driver, the user MUST supply a length in order for the driver to write the next attribute properly.

Parameters:
  `x` - the value to pass to the database
  `length` - the length of the destinated field
Throws:
  `java.sql.SQLException`

#### writeBytes

    void writeBytes(byte[] b,
                    int length)
             throws java.sql.SQLException

Write the next attribute to the stream as a Java byte array. This method is similar to SQLOutput.writeBytes() with the exception that a fixed length of data is written to the stream. If the array passed in is shorter then the destinated length, the driver will zero pad the array. This method replaces SQLOutput.writeBytes() in the UDT implementation since the user defined type is unknown to the driver, the user MUST supply a length in order for the driver to write the next attribute properly.

Parameters:
  `x` - the value to pass to the database
  `length` - the length of the destinated field
Throws:
  `java.sql.SQLException`

#### writeInterval

    void writeInterval(Interval intrvl)
                throws java.sql.SQLException

Write the next attribute to the stream as a Java Interval. This method is an Informix extension.

Parameters:
  `intrvl` - the interval pass to the database
Throws:
  `java.sql.SQLException`